package com.nhnent.iap.sample;

import com.nhnent.iap.sample.service.PurchaseItem;
import com.nhnent.iap.sample.service.QueryItem;
import com.toast.android.iap.exception.InAppPurchaseException;

import java.util.ArrayList;

public interface MainEventListener {
    void onInAppPurchaseException(InAppPurchaseException exception);

    void afterPurchase(PurchaseItem purchaseItem);

    void afterQueryItems(ArrayList<QueryItem> queryItems);

    void afterQueryTcConsoleItems(ArrayList<QueryItem> queryItems);

    void afterQueryIncompletePurchases(ArrayList<PurchaseItem> purchaseItems);

    void afterProcessesIncompletePurchases(String message);

    void afterConsume(String message);
}
