package com.nhnent.iap.sample.service;

import org.json.JSONObject;

/**
 * Created by ShinSung on 2018. 4. 19..
 */

public class QueryItem {
    private Long mItemSeq;
    private String mItemName;
    private String mUsingStatus;

    @Override
    public String toString() {
        return mItemName + "(" + mItemSeq + (mUsingStatus == null ? "" : ", " + mUsingStatus) + ")";
    }

    public Long getItemSeq() {
        return mItemSeq;
    }

    public static QueryItem build(JSONObject responseJson) {
        QueryItem queryItem = new QueryItem();

        if (responseJson.has("itemSeq")) {
            queryItem.mItemSeq = responseJson.optLong("itemSeq");
        }

        if (responseJson.has("itemName")) {
            queryItem.mItemName = responseJson.optString("itemName");
        }

        if (responseJson.has("usingStatus")) {
            queryItem.mUsingStatus = responseJson.optString("usingStatus");
        }

        return queryItem;
    }
}
